Application: gvSIG desktop - gvSIG bugs #4125

loadShapeFile function doesn't work
02/22/2016 05:34 PM - Antonio Falciano

Status:
Target version:

Closed

Normal

Joaquin del Cerro Murciano
Scripting

2.3.0-2426 (rev. org.gvsig.desktop-2.0.134

% Done: 0%
Spent time: 0.00 hour

», NOT USABLE)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2424 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

If | try to execute this simple script called e.g. addShapefile:

from gvsig import *

def main(*args):

loadShapeFile("C:\Geodata\foo.shp")

pass

| get the following log message:

Running script addShapefile.

NameError: global name 'currentView' is not defined in <script> at line number 6

org.gvsig.scripting.ExecuteErrorException: NameError: global name 'currentView' is not defined in <script> at line number

6Stript addShapefile aborted.
[...]

Associated revisions

Revision 581 - 02/27/2016 01:20 PM - Joaquin del Cerro Murciano

refs #4125, fix some imports

History

#1 - 02/27/2016 11:43 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132, NOT USABLE)
- Assignee set to Joaquin del Cerro Murciano

#2 - 02/27/2016 01:20 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#3 - 03/14/2016 11:18 AM - Antonio Falciano
- Status changed from Fixed to Closed
